Subject: bug#54963: 28.1; bindings for widget-describe and button-describe

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 16 Apr 2022 11:35:29 +0200

Howard Melman <[email-masked]> writes:

> Maybe I'm missing something but I see that Emacs 28.1 added
> functions widget-describe and button-describe that offer
> help when point is on one of these things,  but there's no
> binding for them.
>
> I think that some key, perhaps C-h or ? or something should
> invoke these when point is on them.  Maybe it should be
> integrated with display-local-help on `C-h .' ?

`C-u C-x =' does mention the presence of a button:

Here is a ‘help-character-set’ button labeled ‘ascii’, but doesn't
actually link to `button-describe', which should be fixed, at least.

Integrating with `C-h .' might be possible -- for instance, `C-u C-h .'
might run button/widget-describe?  I think having plain `C-h .' do so
would be confusing, since buttons commonly have a help text, and that's
what `C-h .' shows.

Or put this somewhere else.  Anybody got any opinions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no